<?php !defined('APP_DIR') ? die('acceess not defined') : '';
class WIDGET{
    public static $instance = array();
    
    public function __construct(){

    }
    
    /**
     * WIDGET单例调用函数
     *
     * @param string $widget_name
     * @return WIDGET_Object
     */
    public function instance($widget_name){
        if(isset(self::$instance[$widget_name])){
            return self::$instance[$widget_name];
        }else {
            $widget_obj = "WIDGET_$widget_name";

            if( class_exists($widget_obj) ){
                self::$instance[$widget_name] = new $widget_obj();
            }else {
                die("class $widget_obj not exist");
                //self::$instance[$bm_name] = new BM($bm_name);
            }
            return self::$instance[$widget_name];
        }
    }
    
    /**
     * 写缓存文件
     *
     * @param string $file_name
     * @param string $html
     */
    public function cache_file($file_name,$html,$expire=3600){
        cache()->set($file_name,$html,$expire);
    }
    
    /**
     * 读取文件缓存
     *
     * @param string $file_name
     * @return string
     */
    public function get_cache_file($file_name){
        return cache()->get($file_name);
    }


}